
/* ------- This is the CSS Reset ------- */

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre, a, 
abbr, acronym, address, big, cite, code, del,
dfn, em, img, ins, kbd, q, s, samp, small,
strike, strong, sub, sup, tt, var, u, i, center,
dl, dt, dd, ol, ul, li, fieldset, form, label,
legend, table, caption, tbody, tfoot, thead, tr,
th, td, article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup, menu,
nav, output, ruby, section, summary, time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}

/* ------- HTML5 display-role reset for older browsers ------- */

article, aside, details, figcaption, figure, footer, header, hgroup, menu, nav, section {
	display: block;
}
body {
	line-height: 1;
}
ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after, q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}


/* Regular */
@font-face {
    font-family: 'League Gothic';
    src: url(../styles/fonts/leaguegothic-regular-webfont.eot);
    src: url(../styles/fonts/leaguegothic-regular-webfont.eot?#iefix) format('embedded-opentype'),
         url(../styles/fonts/leaguegothic-regular-webfont.woff) format('woff'),
         url(../styles/fonts/leaguegothic-regular-webfont.ttf) format('truetype'),
         url(../styles/fonts/leaguegothic-regular-webfont.svg#league_gothicregular) format('svg');
    font-weight: normal;
    font-style: normal;
}
@font-face {
  font-family: 'tatool-icons';
  src: url(../styles/fonts/tatool-icons.eot);
  src: url(../styles/fonts/tatool-icons.eot#iefix) format('embedded-opentype'),
       url(../styles/fonts/tatool-icons.woff) format('woff'),
       url(../styles/fonts/tatool-icons.ttf) format('truetype'),
       url(../styles/fonts/tatool-icons.svg#tatoolicons) format('svg');
  font-weight: normal;
  font-style: normal;
}
/* Chrome hack: SVG is rendered more smooth in Windozze. 100% magic, uncomment if you need it. */
/* Note, that will break hinting! In other OS-es font will be not as sharp as it could be */
/*
@media screen and (-webkit-min-device-pixel-ratio:0) {
  @font-face {
    font-family: 'tatool-icons';
    src: url('../font/tatool-icons.svg?44719154#tatool-icons') format('svg');
  }
}
*/
 
 [class^="icon-"]:before, [class*=" icon-"]:before {
  font-family: "tatool-icons";
  font-style: normal;
  font-weight: normal;
  speak: none;
 
  display: inline-block;
  text-decoration: inherit;
  width: 1em;
  margin-right: .2em;
  text-align: center;
  /* opacity: .8; */
 
  /* For safety - reset parent styles, that can break glyph codes*/
  font-variant: normal;
  text-transform: none;
     
  /* fix buttons height, for twitter bootstrap */
  line-height: 1em;
 
  /* Animation center compensation - margins should be symmetric */
  /* remove if not needed */
  margin-left: .2em;
 
  /* you can be more comfortable with increased icons size */
  /* font-size: 120%; */
 
  /* Uncomment for 3D effect */
  /* text-shadow: 1px 1px 1px rgba(127, 127, 127, 0.3); */
}
 
.icon-left-open:before { content: '\e800'; } /* '' */
.icon-right-open:before { content: '\e801'; } /* '' */
.icon-down-open:before { content: '\e802'; } /* '' */
.icon-up-open:before { content: '\e803'; } /* '' */
.icon-angle-circled-left:before { content: '\e804'; } /* '' */
.icon-angle-circled-right:before { content: '\e805'; } /* '' */
.icon-angle-circled-up:before { content: '\e806'; } /* '' */
.icon-angle-circled-down:before { content: '\e807'; } /* '' */
.icon-left-circled:before { content: '\e808'; } /* '' */
.icon-right-circled:before { content: '\e809'; } /* '' */
.icon-up-circled:before { content: '\e80a'; } /* '' */
.icon-down-circled:before { content: '\e80b'; } /* '' */
.icon-down:before { content: '\e80c'; } /* '' */
.icon-left:before { content: '\e80d'; } /* '' */
.icon-right:before { content: '\e80e'; } /* '' */
.icon-up:before { content: '\e80f'; } /* '' */
.icon-right-dir:before { content: '\e810'; } /* '' */
.icon-left-dir:before { content: '\e811'; } /* '' */
.icon-up-dir:before { content: '\e812'; } /* '' */
.icon-down-dir:before { content: '\e813'; } /* '' */
.icon-ok:before { content: '\e814'; } /* '' */
.icon-ok-circled:before { content: '\e815'; } /* '' */
.icon-ok-circled2:before { content: '\e816'; } /* '' */
.icon-ok-squared:before { content: '\e817'; } /* '' */
.icon-cancel:before { content: '\e818'; } /* '' */
.icon-cancel-circled:before { content: '\e819'; } /* '' */
.icon-cancel-circled2:before { content: '\e81a'; } /* '' */
html, body {
	height: 100%;
	width: 100%;
	min-height: 100%;
	margin: 0 auto;
	font-family: Arial, Helvetica, sans-serif;
  background-color: #fdfdfd;
}

/* General link */
a {
  color: #c44a27;
}
a:hover {
  color: #9b3112;
}
a:active {
  color: #c44a27;
}
a:visited {
  color: #c44a27;
}

/* Info link (icon) */
a.info {
  color: #626db3;
}
a.info:hover {
  color: #293cb1;
  cursor: help;
}

/* General class to allow change of cursor to 'pointer' */
.pointer {
  cursor: pointer;
}

/* overwrite code styling to be monospaced font */
code {
  font-family: "Courier New", Courier, monospace;
  background-color: transparent;
}

/* General classes to change font color */
.green {
  color: #1a882a;
}
.red {
  color: #cd2b00;
}
.big {
  font-size: 120%;
}
.blue {
  color: #626db3;
}

/* fixes inline alignment of button and input fields*/
.button-up {
  margin-top: -5px;
}

/* override overrides */
i {
  font-style: italic;
}
small {
  font-size: 85%;
}

/* the ui-select dropdown group title format*/
.ui-select-choices-group-label {
  font-size: 120%;
  font-weight: bold;
}
/* Making sure we display a scrollbar after adding new elements */
.modal {
  overflow: auto;
}

/* Override bootstrap tooltip styling */
div.tooltip-inner {
    text-align: left;
    margin-bottom: 6px;
    background-color: #eee;
    color: #333;
    border: 1px solid #999;
    font-size: 13px;
    width: 230px;
    max-width: 230px;
    opacity: 1;
    filter: alpha(opacity=100);
}
div.tooltip.in {
  opacity: 1;
  filter: alpha(opacity=100);
}

/* Fix bootstrap radio-inline class to move up a bit */
.radio-inline-up {
  padding-bottom: 10px;
}

/** ---------
    NAV
-----------**/
.navbar-static-top {
  background-color: #f6f6f6;
  border-color: #972600;
  border-bottom: 1px solid #d0d0d0;
  padding-top: 5px;
  padding-bottom: 10px;
}
.navbar-static-top .navbar-brand {
  padding-top: 9px;
  color: #f3f8f8;
  margin: 0px;
}
.navbar-static-top .navbar-brand:hover, .navbar-static-top .navbar-brand:focus {
  color: #ffffff;
}
.navbar-static-top .navbar-text {
  color: #f3f8f8;
}
.navbar-static-top .navbar-nav > li > a {
  color: #4e4e4e;
  font-weight: bold;
  padding-top: 10px;
  padding-bottom: 10px;
  padding-left: 12px;
  padding-right: 12px;
  margin-top: 8px;
}
.navbar-static-top .navbar-nav > li > a:hover, .navbar-static-top .navbar-nav > li > a:focus {
  color: #ffffff;
  background-color: #d5502a;
}
.navbar-static-top .navbar-nav > .active > a, .navbar-static-top .navbar-nav > .active > a:hover, .navbar-static-top .navbar-nav > .active > a:focus {
  color: #ffffff;
  background-color: #d5502a;
}
.navbar-static-top .navbar-nav > .open > a, .navbar-static-top .navbar-nav > .open > a:hover, .navbar-static-top .navbar-nav > .open > a:focus {
  color: #ffffff;
  background-color: #d5502a;
}
.navbar-static-top .navbar-toggle {
  border-color: #d5502a;
}
.navbar-static-top .navbar-toggle:hover, .navbar-static-top .navbar-toggle:focus {
  background-color: #d5502a;
}
.navbar-static-top .navbar-toggle .icon-bar {
  background-color: #f3f8f8;
}
.navbar-static-top .navbar-collapse,
.navbar-static-top .navbar-form {
  border-color: #f3f8f8;
  padding-left: 40px;
}
.navbar-static-top .navbar-link {
  color: #f3f8f8;
}
.navbar-static-top .navbar-link:hover {
  color: #ffffff;
}

@media (max-width: 767px) {
  .navbar-static-top .navbar-nav .open .dropdown-menu > li > a {
    color: #f3f8f8;
  }
  .navbar-static-top .navbar-nav .open .dropdown-menu > li > a:hover, .navbar-static-top .navbar-nav .open .dropdown-menu > li > a:focus {
    color: #ffffff;
  }
  .navbar-static-top .navbar-nav .open .dropdown-menu > .active > a, .navbar-static-top .navbar-nav .open .dropdown-menu > .active > a:hover, .navbar-static-top .navbar-nav .open .dropdown-menu > .active > a:focus {
    color: #ffffff;
    background-color: #972600;
  }
}

#lab-banner {
  background-color: #c44a27;
  color: #fff;
  margin-right: 10px;
  padding: 2px;
  font-size: 90%;
}


/** ---------
    FOOTER
-----------**/
.wrapper {
  min-height: 100%;
  margin: 0 auto -40px;
}
.push {
  height: 40px;
}
footer {
  height: 40px;
  color: #777;
  background-color: #f6f6f6;
  border-top: 1px solid #d0d0d0;
  padding-top: 8px;
  font-size: 80%;
}

/* ReCaptcha Iframe FIX */
iframe[src="about:blank"] { display: none; }

.donate-button {
  margin-top: 2px;
  margin-right: 10px;
}

a.twitter-icon {
  color: #3383c2;
}
a.facebook-icon {
  color: #3c5a98;
}
a.github-icon {
  color: #211f20;
}

/** ---------
    MAIN PAGE
-----------**/

#publicModule {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  margin: 0 auto;
  width: 100%;
  text-align: center;
  vertical-align: middle;
}

#publicModule .publicModuleText {
  font-size: 190%;
  font-family: 'Open Sans', sans-serif;
}

.large {
  font-size: 200%;
}

#startBanner {
  height: 230px;
  font-family: 'Open Sans', sans-serif;
}

#startBanner .bannerContent {
  text-align: center;
  margin: 0 auto;
  width: 700px;
}

#startBanner .bannerImg {
  float: left;
  margin-right: 30px;
}

#startBanner h2 {
  font-size: 220%;
  line-height: 130%;
}

#startContent {
  font-family: 'Open Sans', sans-serif;
}

#startContent .lead {
  font-size: 150%;
  line-height: 130%;
}
#startContent .center {
  text-align: center;
}
#startContent .red {
  color: #c64925;
}

#startContent .leadLeft {
  float: left;
  margin-right: 20px;
  height: 110px;
}
#startContent .leadRight {

}
#startContent .socialButtons {
  text-align: center;
  margin-top: 8px;
}

#startContent .img-main {
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 15px;
}

.redBanner {
  background-color: #cc3300;
  color: #fff;
}

.caret-right {
  display: block;
  margin-left: auto;
  margin-right: auto
}

.caret-left {
  display: block;
  margin-left: auto;
  margin-right: auto
}

#startContent .white {
  color: #fff;
}

#startContent .bold {
  font-weight: bold;
}

#startContent .jumbo {
  font-size: 250%;
  font-weight: bold;
}

#startContent h3 {
  font-size: 120%;
  font-weight: bold;
  margin-bottom: 12px;
  margin-top: 8px;
}

#startContent p {
  line-height: 140%;
  padding-top: 10px;
  padding-bottom: 10px;
}

#startContent .img-screen {
display: block;
margin-left: auto;
margin-right: auto;
-webkit-box-shadow: 3px 3px 13px 0px rgba(64,64,64,0.54);
-moz-box-shadow: 3px 3px 13px 0px rgba(64,64,64,0.54);
box-shadow: 3px 3px 13px 0px rgba(64,64,64,0.54);
}


/** ---------
    DOCUMENTATION
-----------**/

#startDocument {
  font-family: 'Open Sans', sans-serif;
  font-size: 90%;
}

#docNavigation {
  display: inline-block;
  float:left;
  width: 18%;
  position: sticky;
  top: 0;
}

#docNavigation ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
}
 
#docNavigation li {
  border-top: 1px solid #ccc;
  padding-top: 6px;
  padding-bottom: 6px;
  padding-left: 3px;
}

#docNavigation .subNav{
  padding-left: 8px;
  list-style-type: none;
}

#docNavigation .subNav li {
  border: 0;
}

#docContent {
  display: inline-block;
  float:left;
  width: 80%;
  padding-left: 2%;
}

#startDocument .lead {
  font-size: 150%;
  line-height: 130%;
}

#startDocument .red {
  color: #c64925;
}

#startDocument h2 {
  font-size: 130%;
  font-weight: bold;
  margin-bottom: 20px;
  color: #c64925;
}

#startDocument h3 {
  font-size: 120%;
  font-weight: bold;
  margin-top: 25px;
  margin-bottom: 15px;
  color: #c64925;
}

#startDocument h4 {
  font-size: 110%;
  font-weight: bold;
  margin-top: 25px;
  margin-bottom: 15px;
}

#startDocument p {
  line-height: 140%;
  padding-top: 10px;
  padding-bottom: 10px;
}

#startDocument #docPageNav {
  list-style-type: none;
  margin-top: 20px;
  margin-bottom: 20px;
  padding: 0;
}

#startDocument #docPageNav li {
  padding-left: 20px;
  padding-top: 6px;
  padding-bottom: 6px;
}

#startDocument th {
  font-weight: bold;
}

#startDocument table .cellB {
  font-weight: bold;
}

.hr-red {
  border: 1px solid #cd7c65;
}

pre {
  max-height: 30em;
  overflow: auto;
}

#startDocument ul.docContentList {
  list-style-type: none;
  padding: 0;
  margin: 0;
}

#startDocument ul.docContentList li {
  background-image: url(../images/arrow.gif);
  background-repeat: no-repeat;
  background-position: 0 .5em;
  padding-left: 20px;
  line-height: 140%;
  margin-bottom: 8px;
}

#startDocument ol.docContentList {
  list-style-type: decimal;
  padding-left: 15px;
  margin: 0;
}

#startDocument ol.docContentList li {
  padding-left: 5px;
  line-height: 140%;
  margin-bottom: 8px;
}

#startDocument .hint {
  display: block;
  background-color: #f7e9d8;
  padding: 6px;
  margin-top: 10px;
  margin-bottom: 10px;
  border-radius: 6px;
  border: 1px solid #f4d4af;
}

#startDocument .hint .icon {
  display: inline-block;
  padding: 12px 15px 12px 12px;
  vertical-align: top;
}
#startDocument .hint .text {
  display: inline-block;
  width: 90%;
}

#docNavigation .active {
  background-color: #c44a27;
  color: #fff;
  font-weight: bold;
}
#docNavigation .active a {
  color: #fff;
}

#docContent img.external {
  border: 1px solid #999;
}

#docContent img.internal {
  border: 3px solid #f4d4af;
}

/** ---------
    MODULES
-----------**/

.actionHeader {
  display: block;
  width: 100%;
  height: 35px;
}

.panel {
  border: 1px solid #b9b1ad;
}
.panel-group .panel-heading {
  color: #000;
  background-color: #E5DCD8;
}
.panel-title {
  font-size: 125%;
}
.form-control {
  margin-top: -5px;
}
.form-control-feedback {
  margin-top: -5px;  
}
a.accordion-toggle {
  color: #4e4e4e;
  cursor: pointer;
  text-decoration: none;
}
a.accordion-toggle:hover {
  color: #d5502a;
}
.glyphicon-chevron-down {
  color: #d5502a;
}

.fileUpload {
  position: relative;
	display: inline-block;
	overflow: hidden;
	margin-left: 10px;
  margin-top: -4px;
}
.fileUpload input.upload {
	position: absolute;
	top: 0;
	right: 0;
	margin: 0;
	padding: 0;
	font-size: 20px;
	cursor: pointer;
	opacity: 0;
	filter: alpha(opacity=0);
}

#modules {
	width: 100%;
	margin: 0 auto;
  clear: left;
}

/* Module Tiles styling */
#modules .tile {
	position: relative;
	float: left;
	width: 21em;
  height: 7em;
	margin-bottom: 1em;
	margin-right: 0.8em;
	border: 1px solid #ababab;
	background-color: #fcfcfc;
}

#modules .tileDev {
  height: 13.5em;
}

#modules .tileHighlight {
  border: 1px solid #db5628;
  background-color: #ffe8e2;
}

#modules .icon {
	width: 6em;
  height: 100%;
	float: left;
  padding-top: 3px;
	margin-right: 0.8em;
  overflow: hidden;
  text-align: center;
  color: #f5f5f5;
	background: #c64a26; /* Old browsers */
	background: -moz-linear-gradient(left,  #c64a26 0%, #d5582c 100%); /* FF3.6+ */
	background: -webkit-gradient(linear, left top, right top, color-stop(0%,#c64a26), color-stop(100%,#d5582c)); /* Chrome,Safari4+ */
	background: -webkit-linear-gradient(left,  #c64a26 0%,#d5582c 100%); /* Chrome10+,Safari5.1+ */
	background: -o-linear-gradient(left,  #c64a26 0%,#d5582c 100%); /* Opera 11.10+ */
	background: -ms-linear-gradient(left,  #c64a26 0%,#d5582c 100%); /* IE10+ */
	background: linear-gradient(to right,  #c64a26 0%,#d5582c 100%); /* W3C */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#c64a26', endColorstr='#d5582c',GradientType=1 ); /* IE6-9 */
    -webkit-box-shadow: 1px 0 1px #b84a23;
    -moz-box-shadow: 1px 0 1px #b84a23;
    -ms-box-shadow: 1px 0 1px #b84a23;
    -o-box-shadow: 1px 0 1px #b84a23;
    box-shadow: 1px 0 1px #b84a23;
}

#modules .content {
	float: left;
	color: #494949;
	line-height: 1.35em;
  height: 100%;
	width: 14em;
	text-align: left;
  font-size: 100%;
}


#modules .publicUrlLabel {
  font-size: 75%;
  color: black;
  border-bottom: 1px dashed #999;
  text-decoration: none;
}

.publicUrl {
  font-size: 85%;
  font-weight: bold;
  color: black;
}

#modules h2 {
	max-width: 100%;
  height: 3.1em;
	font-size: 95%;
	overflow: hidden;
	font-weight: bold;
}

#modules h3 {
	max-width: 100%;
	font-size: 80%;
  height: 1.8em;
	overflow: hidden;
	white-space: nowrap;
  text-overflow: ellipsis;
}

#modules .buttonbar {
	margin-top: 5px;
}

#modules .sessionNum {
  line-height: 140%;
  font-size: 120%;
}

#modules .repository {
  font-size: 100%;
  margin-top: 10px;
  padding-top: 8px;
  border-top: 1px solid #b5b5b5;
}
#modules .repositoryTable {
  width: 90%;
}
#modules .moduleType {
  font-size: 90%;
  margin-top: 5px;
  margin-bottom: 3px;
}

.toggle-tatool-off {
  color: #d5502a;
  cursor: pointer;
}
.toggle-tatool-on {
  color: #25a228;
  cursor: pointer;
}
.toggle-tatool-text {
  font-size: 90%;
  color: #494949;
}

/* Module description formatting */

#moduleDescription {
  font-size: 90%;
}
#moduleDescription h1 {
  font-size: 120%;
  font-weight: bold;
}
#moduleDescription h2 {
  font-size: 105%;
  font-weight: bold;
}
.author {
  font-size: 80%;
}


/* Invite Modal */
#inviteModal {
  height: 100%;
}

#inviteModal .fakeButton {
  cursor: pointer;
}

#inviteModal .table-small {
  font-size: 85%;
}




/* Button styling */
.btn-tatool {
  color: #fff;
  background-color: #d5502a;
  border-color: #972702;
  padding: 3px 7px;
}
.btn-tatool:hover {
	color: #fff;
  background-color: #a23f22;
}

.btn-tatool-blue {
  color: #fff;
  background-color: #337ab7;
  border-color: #2b6495;
  padding: 3px 7px;
}
.btn-tatool-blue:hover {
  color: #fff;
  background-color: #286090;
}

.btn-tatool-green {
  color: #fff;
  background-color: #25a228;
  border-color: #145b16;
  padding: 3px 7px;
}
.btn-tatool-green:hover {
  color: #fff;
  background-color: #1c801e;
}
.btn-tatool-green-disabled {
  color: #fff;
  background-color: #9e9e9e;
  border-color: #6f6f6f;
}

.btn-tatool-off {
  	color: #333;
  	background-color: #fff;
  	border-color: #ccc;
  	padding: 3px 7px;
}
.btn-tatool-off:hover {
  	background-color: #e6e6e6;
}

.exporterName {
  text-transform: capitalize;
}

/** --------- 
EDITOR
-----------**/

#moduleEditor {
  display: table;
  width: 100%;
  clear: left;
}

#moduleTree {
  display: table-cell;
  width: 280px;
  max-width: 280px;
  height: 100%;
  border-top: 1px solid #bebebe;
  border-left: 1px solid #bebebe;
  border-right: 1px solid #bebebe;
  padding: 5px;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  background-color: #f2f2f2;
}

#moduleTree .green {
  color: #19741b;
}

#moduleTree .red {
  color: #972702;
}

#moduleTree .active {
  font-weight: bold;
  color: #125413;
  background-color: #dcebda;
}

#moduleContent {
  display: table-cell;
  width: 65%;
  padding-left: 15px;
  font-size: 100%;
}

#moduleContent .my-field {
  margin-top: 0px;
}

#moduleContent .delete-icon {
  color: #972702;
  cursor: pointer;
}

#moduleContent .add-icon {
  color: #19741b;
  cursor: pointer;
}

ul.tree, ul.tree ul {
    list-style-type: none;
    margin:0;
    padding:0;
}

ul.tree ul {
    padding-left: 1.1em;
}

ul.tree li {
    margin-top: 0.3em;
    padding: 0.1em 0.6em;
    line-height: 20px;
    color: #333;
    cursor: pointer;
}

ul.tree ul li {
    margin-top: 0.3em;
    padding: 0.1em 0.6em;
    line-height: 20px;
    background: url(../images/lastnode.png) no-repeat;
    color: #333;
    cursor: pointer;
}

/* The #fff color background is to hide the previous background image*/

ul.tree ul:last-child {
    background: none;
}

ul.tree li .last {
    background: #000 url(../images/lastnode.png) no-repeat;
}


/** ---------
    PACKAGE
-----------**/
#iframe {
  position:absolute; 
  height: 100%;
  width: 100%;
  left: 0;
  top: 0;
  overflow: hidden;
}

/** ---------
    SPINNER
-----------**/
#spinnerBox {
  visibility: hidden;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  margin: 0 auto;
  width: 100%;
  z-index: 7500;
}
#spinner {
  height: 180px;
  width: 300px;
  margin: 0 auto;
  text-align: center;
  vertical-align: middle;
  z-index: 10000;
  background-color: #fff;
  border-radius: 3%;
  border: 1px solid #777;
}
#spinnerText {
  visibility: hidden;
  font-size: 125%;
  position: relative;
  margin: 10px;
  text-align: center;
  vertical-align: middle;
  white-space: nowrap;
}
#spinnerAnimation {
  visibility: hidden;
  position: relative;
  height: 125px; 
  vertical-align: middle;
}
#spinnerBackdrop {
  visibility: hidden;
  position: absolute;
  background-color: #3c3c3c;
  opacity: 0.4;
  left: 0px;
  top: 0px;
  width:100%;
  height:100%;
  text-align:center;
  z-index: 5000;
}


/** ---------
    BOOTBOX
-----------**/
.bootbox-body {
  line-height: 1.5em;
}

/* making sure bootbox is always above any other modal */
.bootbox  {
  z-index: 99999;
}

/* fix bootstrap issue to make sure backdrop is visible (v3.3.1) */
.modal-backdrop {
  height: 100%;
}

/** ---------
    ADMIN TABLE
-----------**/

.table-small {
  font-size: 90%;
}

.table-small th {
  text-align: center;
}

/* Login View */
#login {
  margin: 40px auto;
  text-align: center;
  font-family: 'Open Sans', sans-serif;
}

#login p {
  line-height: 150%;
}

#captcha {
  width:300px;
  margin-right:auto;
  margin-left:auto;
}

#messagebox {
  text-align: left;
  margin: auto;
  line-height: 130%;
  width: 450px;
}

#messagebox ul {
  list-style-type: circle;
  margin-left: 15px;
}

#login input[type="text"],#login input[type="password"], #login input[type="email"], #login input[type="number"] {
  width: 200px;
  height: 40px;
  positon: relative;
  margin-top: 7px;
  font-size: 14px;
  color: #444;
  outline: none;
  border: 1px solid rgba(0, 0, 0, .49);
 
  padding-left: 10px;
  padding-right: 5px;
     
  -webkit-background-clip: padding-box;
  -moz-background-clip: padding-box;
  background-clip: padding-box;
  border-radius: 6px;
 
  background-color: #f7f7f7;
  background-image: -webkit-linear-gradient(bottom, #FFFFFF 0%, #f7f7f7 100%);
  background-image: -moz-linear-gradient(bottom, #FFFFFF 0%, #f7f7f7 100%);
  background-image: -o-linear-gradient(bottom, #FFFFFF 0%, #f7f7f7 100%);
  background-image: -ms-linear-gradient(bottom, #FFFFFF 0%, #f7f7f7 100%);
  background-image: linear-gradient(bottom, #FFFFFF 0%, #f7f7f7 100%);
}

.error {
  background-color: #ccc;
}
 
#login input[type="text"]:focus,#login input[type="password"]:focus,#login input[type="email"]:focus,#login input[type="number"]:focus {
  background-color: #fff;
  -webkit-box-shadow: inset 0px 2px 0px #f5f5f5;
  box-shadow: inset 0px 2px 0px #f5f5f5;
}
 
#login input:first-child {
    margin-top: 0px;
}

#login input[type="radio"] {
  width: 15px;
  height: 15px;
  positon: relative;
  margin-top: 10px;
  margin-bottom: 8px;
  font-size: 14px;
  color: #444;
  outline: none;
  border: 1px solid rgba(0, 0, 0, .49);
 
  padding-left: 10px;
  padding-right: 5px;
     
  -webkit-background-clip: padding-box;
  -moz-background-clip: padding-box;
  background-clip: padding-box;
  border-radius: 6px;
 
  background-color: #f7f7f7;
  background-image: -webkit-linear-gradient(bottom, #FFFFFF 0%, #F2F2F2 100%);
  background-image: -moz-linear-gradient(bottom, #FFFFFF 0%, #F2F2F2 100%);
  background-image: -o-linear-gradient(bottom, #FFFFFF 0%, #F2F2F2 100%);
  background-image: -ms-linear-gradient(bottom, #FFFFFF 0%, #F2F2F2 100%);
  background-image: linear-gradient(bottom, #FFFFFF 0%, #F2F2F2 100%);
}


#login input[type="submit"] {
    width: 200px;
    height: 50px;
    margin-top: 7px;
    color: #fff;
    font-size: 18px;
    font-weight: bold;
    text-shadow: 0px -1px 0px #a23f22;
    outline: none;
    border: 1px solid rgba(0, 0, 0, .49);
 
    -webkit-background-clip: padding-box;
    -moz-background-clip: padding-box;
    background-clip: padding-box;
    border-radius: 6px;
 
    background-color: #d5502a;
 
    cursor: pointer;
 
}
 
#login input[type="submit"]:hover {
    background-color: #a23f22;
}
 
#login input[type="submit"]:active {
    background-color: #d5502a;
}

#login a {
    color: #4e4e4e;
    text-decoration: underline;
}
#login a:hover {
    color: #717171;
    cursor: pointer;
}
#login a:active {
    color: #4e4e4e;
    cursor: pointer;
}
/* open-sans-regular - latin */
@font-face {
  font-family: 'Open Sans';
  font-style: normal;
  font-weight: 400;
  src: url(../styles/fonts/open-sans-v15-latin-regular.eot); /* IE9 Compat Modes */
  src: local('Open Sans Regular'), local('OpenSans-Regular'),
       url(../styles/fonts/open-sans-v15-latin-regular.eot?#iefix) format('embedded-opentype'), /* IE6-IE8 */
       url(../styles/fonts/open-sans-v15-latin-regular.woff2) format('woff2'), /* Super Modern Browsers */
       url(../styles/fonts/open-sans-v15-latin-regular.woff) format('woff'), /* Modern Browsers */
       url(../styles/fonts/open-sans-v15-latin-regular.ttf) format('truetype'), /* Safari, Android, iOS */
       url(../styles/fonts/open-sans-v15-latin-regular.svg#OpenSans) format('svg'); /* Legacy iOS */
}
